#jinja2: trim_blocks: True, lstrip_blocks: True
{{ ansible_managed | comment }}

{#  a default virtual host, customizable via default.d

    # the virtual host domain
    item.domain: string | d('_')
    # the virtual host port
    item.port: int | d(nginx_network_port)
    # the virtual host backlog
    item.backlog: int
-#}

server {
    listen {{ item.port | d(nginx_network_port) }} default_server{% if item.backlog is defined %} backlog={{ item.backlog }}{% endif %};
    listen [::]:{{ item.port | d(nginx_network_port) }} default_server{% if item.backlog is defined %} backlog={{ item.backlog }}{% endif %};
    server_name {{ item.domain | d('_') }};

    include {{ nginx_confdir }}/default.d/*.conf;
}
